MediaWiki:Common.css

Aus CMO

Hinweis: Leere nach dem Veröffentlichen den Browser-Cache, um die Änderungen sehen zu können.

  • Firefox/Safari: Umschalttaste drücken und gleichzeitig Aktualisieren anklicken oder entweder Strg+F5 oder Strg+R (⌘+R auf dem Mac) drücken
  • Google Chrome: Umschalttaste+Strg+R (⌘+Umschalttaste+R auf dem Mac) drücken
  • Edge: Strg+F5 drücken oder Strg drücken und gleichzeitig Aktualisieren anklicken
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */

/*Verindert das Anzeigen des Inhaltsverzeichnisses, das Inhalrsverzeichnis existiert aber noch für barrierefreiheit */
.mw-parser-output .toc { display: none; }

/* Opt-in: Wenn __TOC__ in einem Wrapper sitzt, wieder anzeigen */
.mw-parser-output .show-toc .toc {
  display: block; /* bei Bedarf mit !important */
}

/* Das muss man dann auf der Seite eintragen, wenn das Inhaltsverzeichnis eingeblendet werden soll
<div class="show-toc">
__TOC__
</div>
*/

/*Zusatz in Skin-Farbbalken */
.mw-desktop-sitename::after {
  content: " Christian-Morgenstern-Online";
  font-weight: normal;
  font-size: 90%;
  margin-left: .25em;
}

/* Grundlayout: schmaler Balken links neben dem Link in Sidebar */
#n-CM---Werk > a::before {
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
  background: #592e64;/* lila */
}

#n-CM---Leben > a::before {
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
  background: #81c244;/* Grün */
}

#n-CM---Quellen > a::before {
  background: #06aae9;/* Blau */
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
}

#n-CM---Rezeptionen > a::before {
  background: #f2d114;/* gelb */
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
}

#n-CMG > a::before {
  background: #f49521;/* orange */
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
}

#n-Museum > a::before {
  background: #d71f35;/* rot */
  content: "";
  display: inline-block;
  width: .4em;
  height: 1em;
  margin-right: .4em;
}

/*Zeilennummerierung*/ 
.poem { 
  margin-left: 3.5em; 
  line-height: 1.6em; 
  position: relative;
} 
	
.poem .zeilennummer { 
  position: absolute; 
  left: -3.5em; 
  width: 3em; 
  text-align: right; 
  color: #666; 
  font-size: 85%; 
  line-height: 1.6em;
}

/* Textausrichtung Tabelle Gedichtinformation 
.gedichtinformation td,
.gedichtinformation th {
  vertical-align: top;
}*/

/*Textauszeichnung "gesperrt" */
.gesperrt {
  letter-spacing: 0.12em;
}

/*Einrückung mit : funzt nicht, da margin-left auf 0, das wird hier geändert*/
dl dd {
  margin-left: 1.6em !important;
}

/* Luftigere Darstellung für Tabellen */
.wikitable {
  border-collapse: collapse;
  border: 1px solid #aaa;
}

.wikitable th,
.wikitable td {
  padding: 6px 10px;         /* etwas mehr Luft */
  vertical-align: top;
  border: 1px solid #aaa;
}

.wikitable th {
  background-color: #f8f8f8; /* leichtes Grau für Kopfzeile */
}